###################################################
### chunk number 1: 
###################################################
options(width=50)


###################################################
### chunk number 2: 
###################################################
library(RecordLinkage)
library(xtable)


###################################################
### chunk number 3: 
###################################################
data(RLdata500)
data(RLdata10000)
train_pairs=compare.dedup(RLdata10000, identity=identity.RLdata10000,
  n_match=500, n_non_match=500)

eval_pairs=compare.dedup(RLdata500,identity=identity.RLdata500)


###################################################
### chunk number 4: 
###################################################
model_rpart=trainSupv(train_pairs, method="rpart")
model_bagging=trainSupv(train_pairs, method="bagging")
model_svm=trainSupv(train_pairs, method="svm")


###################################################
### chunk number 5: 
###################################################
result_rpart=classifySupv(model_rpart, eval_pairs)
result_bagging=classifySupv(model_bagging, eval_pairs)
result_svm=classifySupv(model_svm, eval_pairs)


###################################################
### chunk number 6: 
###################################################
texSummary(result_rpart)


###################################################
### chunk number 7: 
###################################################
texSummary(result_bagging)


###################################################
### chunk number 8: 
###################################################
texSummary(result_svm)


